$Device
# serail port:baud,bits,stobits,parity,flow control(HW,XON,NONE-HW default)
/dev/ttyS0:57600,8,1,N,NONE
#/dev/rckt3:9600,8,1,N,NONE

# maximum message rate 1000 messages per second
$MaxMsgRate
1000

$Debug
true

$Timeout
# default timeout in milliseconds
#want to be higher than the amount it takes to get a message, usually 2 to 3 times higher
3000
#
# Name task will attach to, or key name so multiple device of same type can be supported.
#
$Instrument
# Opti DewPoint
Heratherm

# Protocol
$Protocol
# GenSync - general synchronous (command response) serial/socket protocol
#GenStream
GenSync

#message structure
$CmdStruct
# Structure
#
## This section shows the sequence of message elements
## H = header string
## S = station identifier
## M = message
## T = trailer string
## C = crc
##
MT

# response structure if any response expected
$RspStruct
MT
#

$Header
-1

# trailer
$Trailer
<CR><LF>

# NOTE: NONE supported at this time 7/1/10, will be added as needed
$CRC
-1

# put True if you want to replaces commas, won't work in ReplaceItems
$ReplaceComma

#not including commas because that is what seperates this list
# example: :,;,*,/  to replace : ; * and / all with spaces
#note: does not work with the $ symbol
#Since the response comes back with just 1 string value, you need to parse
#it to get the data. since they have the string data seperated by colons and 
#semicolons, we should parse there
$ReplaceItems
:,;

# Command formats
# Command format Response format [timeout]
#
$CmdDef
# Control Commands have no data response
#CommandString formats AK_Command [Timeout(msec)]
# comma, space, or tab delmited
#Command key, [command arguments],[response],[timeout]

#the main examples shown for this description are with the command:
#?:3010:00::c2 annd the response !:3010:1f:+125.00;+124.96;+000.000;+000.00:b0

#The command key is what gets sent to the device, since it is one long string,
#we should not need any command arguments.If the command was: ?:0012 00::c3 we
#would need a command argument since it is 2 different strings.

#Now to figure out the response string, we have to figure out how we split the
#string with our Replace comma and ReplaceItems. Since we were given 1 string
#splits we could use just 1 %s, however since we replace all colons and 
#semicolons with spaces, we count the number of segments seperated by spaces
#and tabs. So there would be 8 segments. We could parse away the ! as well 
#and only have 7 segments, but all that depends on what you want and need.
# Now for the 8 segments we have left we need to determine whether they will be
#string or floats. basically string (%s) can be used for anything but what most
#people want is %f. The parser is relatively smart and can pare float out of 
#some strings. So for the 3rd segment with 1f, you can put a %f and it will 
#return with 1. Same goes for the next arguments with +'s, the parser will get
#the float values. The main rul for parsing a float from a string is only have
#one number in the string to parse. If it doesn't work for some strings, then 
#may need to replace more values with spaces.

#time only command
?:0012:00::c3,-,%s %f %f %f %f %f %s
#Multi Temperature command
?:3010:00::c2,-,%s %f %f %f %f %f %f %s
#?:0012:00::c3,-,%f
# this section should end with a $
$ 
